    <ig:WebDataGrid ID="WebDataGrid1" runat="server" AutoGenerateColumns="False" 
         DataKeyFields="TimeBilledID"  onrowadding="WebDataGrid1_RowAdding" onrowsdeleting="WebDataGrid1_RowsDeleting" 
        onrowupdating="WebDataGrid1_RowUpdating" DataSourceID="dsTimeBilled" 
        StyleSetName="Office2007Silver"> 
        <Columns>
            <ig:BoundDataField DataFieldName="EmployeeID" Hidden="True" Key="EmployeeID" 
                Width="1px">
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="ProjectID" Key="ProjectID" Width="160px">
                <Header Text="Project" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="LOBDescription" Key="LOBDescription" 
                Width="140px">
                <Header Text="LOB" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="ClientID" Key="ClientID" Width="80px">
                <Header Text="Client" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="BillableHours" Key="BillableHours" 
                Width="50px">
                <Header Text="Hours" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="Tickets" Key="Tickets" Width="50px">
                <Header Text="Ticket" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="Notes" Key="Notes">
                <Header Text="Notes" />
            </ig:BoundDataField>
            <ig:BoundCheckBoxField DataFieldName="Approved" Key="Approved" Width="65px">
                <Header Text="Approved" />
            </ig:BoundCheckBoxField>
            <ig:BoundDataField DataFieldName="TimeBilledID" Hidden="True" 
                Key="TimeBilledID">
                <Header Text="TimeBilledID" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="HourlyRate" Hidden="True" Key="HourlyRate">
                <Header Text="HourlyRate" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="WeekEndDate" Hidden="True" Key="WeekEndDate">
                <Header Text="WeekEndDate" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="ModifiedDate" Hidden="True" 
                Key="ModifiedDate">
                <Header Text="ModifiedDate" />
            </ig:BoundDataField>
            <ig:BoundDataField DataFieldName="RowStatus" Hidden="True" 
                Key="RowStatus">
                <Header Text="RowStatus" />
            </ig:BoundDataField>
        </Columns>
        <EditorProviders>
            <ig:DropDownProvider ID="ProjectProvider">
                <EditorControl DataSourceID="dsProjects" 
                     TextField="ProjectName"
                    ValueField="ProjectID" ClientIDMode="Predictable" 
                    EnableAnimations="False" EnableDropDownAsChild="False"
                    EnableCustomValues="False" EnableCustomValueSelection="False">
                    <DropDownItemBinding TextField="ProjectName" ValueField="ProjectID" />
                    <ClientEvents DropDownOpened="WebDataGrid1_Project_DropDownOpened" />
                </EditorControl>
            </ig:DropDownProvider>
            <ig:NumericEditorProvider ID="HoursProvider">
                <EditorControl DataMode="Decimal">
                </EditorControl>
            </ig:NumericEditorProvider>
            <ig:DropDownProvider ID="ClientProvider">
                <EditorControl DataSourceID="dsClient" 
                    TextField="ClientName" ValueField="ClientID"
                    ClientIDMode="Predictable" EnableAnimations="False" EnableDropDownAsChild="False"
                    EnableCustomValues="False" EnableCustomValueSelection="False">
                    <DropDownItemBinding TextField="ClientName" ValueField="ClientID" />
                    <ClientEvents DropDownOpened="WebDataGrid1_Client_DropDownOpened" />
                </EditorControl>
            </ig:DropDownProvider>
            <ig:NumericEditorProvider ID="TicketProvider">
<EditorControl ClientIDMode="Predictable"></EditorControl>
            </ig:NumericEditorProvider>
        </EditorProviders>
        <ClientEvents AJAXResponse="WebDataGrid1_Grid_AJAXResponse" />
        <Behaviors>
            <ig:EditingCore AutoCRUD="False">
                <Behaviors>
                    <ig:CellEditing>
                        <ColumnSettings>
                            <ig:EditingColumnSetting ColumnKey="ProjectID" EditorID="ProjectProvider" 
                                ValidatorID="ProjectValidator" />
                            <ig:EditingColumnSetting ColumnKey="BillableHours" EditorID="HoursProvider" />
                            <ig:EditingColumnSetting ColumnKey="LOBDescription" ReadOnly="True" />
                            <ig:EditingColumnSetting ColumnKey="ClientID" EditorID="ClientProvider" 
                                ValidatorID="ClientValidator" />
                            <ig:EditingColumnSetting ColumnKey="Tickets" EditorID="TicketProvider" />
                            <ig:EditingColumnSetting ColumnKey="Approved" ReadOnly="True" />
                        </ColumnSettings>
                        <EditModeActions MouseClick="Single" EnableF2="False" EnableOnActive="True" />
                        <CellEditingClientEvents ExitedEditMode="WebDataGrid1_CellEditing_ExitingEditMode" />
                    </ig:CellEditing>
                    <ig:RowAdding>
                        <ColumnSettings>
                            <ig:RowAddingColumnSetting ColumnKey="ProjectID" EditorID="ProjectProvider" 
                                DefaultValueAsString="1" />
                            <ig:RowAddingColumnSetting ColumnKey="BillableHours" EditorID="HoursProvider" />
                            <ig:RowAddingColumnSetting ColumnKey="LOBDescription" ReadOnly="True" />
                            <ig:RowAddingColumnSetting ColumnKey="ClientID" EditorID="ClientProvider" 
                                DefaultValueAsString="1" />
                            <ig:RowAddingColumnSetting ColumnKey="Tickets" EditorID="TicketProvider" />
                            <ig:RowAddingColumnSetting ColumnKey="Approved" ReadOnly="True" />
                        </ColumnSettings>
                        <EditModeActions 
                            MouseClick="Single" EnableF2="False" EnableOnActive="True" />

                    </ig:RowAdding>
                    <ig:RowDeleting />

                </Behaviors>
            </ig:EditingCore>
            <ig:Selection ColumnSelectType="Single" RowSelectType="Single">

            </ig:Selection>
            <ig:Activation>
            </ig:Activation>
            <ig:RowSelectors>
            </ig:RowSelectors>
        </Behaviors>
    </ig:WebDataGrid>